Redmine - Feature #24015

Do not hide estimated_hours label when value is nil
2016-10-07 14:14 - Luka Ludicke

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 3.4.0

Resolution: Fixed

Description

Currently the estimated_hours is completely hidden from Issue Show view when the value is nil or 0.
That is undesirable. The fact that there has not been a value set is valuable information and should be shown more explicit.
My proposed change is the following code in the issues/show.html.erb Template:
# override Redmine behaviour and always show the estimated hours but with empty value
rows.right 1(:field_estimated_hours), (@issue.estimated_hours.present? || @issue.
total_estimated_hours.to_f > 0) ? issue_estimated_hours_details(@issue) : '',

:class => 'estimated-hours'

What do you think of it?

Associated revisions

Revision 15906 - 2016-10-10 10:30 - Jean-Philippe Lang
Do not hide estimated_hours when field is not disabled (#24015).

History

#1 - 2016-10-08 10:20 - Jean-Philippe Lang
- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

| agree, it used to be hidden if empty for people who do not want to use it. But now that we can enable/disable standard fields on each tracker, we
should not hide it when it's enabled.

#2 - 2016-10-10 10:30 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r15906.
